claw::graphic::bitmap::file_structure::header Struct Reference

Header of a bitmap file. More...

`#include <bitmap.hpp>`

## Public Attributes

char | id [2]
| File identifier (must be 'BM').
unsigned int | file_size
| File's size.
unsigned int | nop
| not used.
unsigned int | data_offset
| Begininf of the datas.
unsigned int | header_size
| Header's size.
unsigned int | width
| Image's width.
unsigned int | height
| Image's height.
unsigned short | layers
| Number of layers.
unsigned short | bpp
| Bits per pixel.
unsigned int | compression
| Compression algorithm.
unsigned int | image_size
| Image's size (bytes).
unsigned int | ppm_x
| Horizontal resolution (pixels per meter).
unsigned int | ppm_y
| Vertical resolution (pixels per meter).
unsigned int | colors_count
| Number of colors.
unsigned int | importants_colors
| Number of important colors.

## Detailed Description

Header of a bitmap file.

Definition at line 76 of file bitmap.hpp.

## Member Data Documentation

## bpp

unsigned short claw::graphic::bitmap::file_structure::header::bpp

Bits per pixel.

Definition at line 103 of file bitmap.hpp.

Referenced by claw::graphic::bitmap::reader::load().

## colors_count

unsigned int claw::graphic::bitmap::file_structure::header::colors_count

Number of colors.

Definition at line 118 of file bitmap.hpp.

## compression

unsigned int claw::graphic::bitmap::file_structure::header::compression

Compression algorithm.

Definition at line 106 of file bitmap.hpp.

## data_offset

unsigned int claw::graphic::bitmap::file_structure::header::data_offset

Begininf of the datas.

Definition at line 88 of file bitmap.hpp.

## file_size

unsigned int claw::graphic::bitmap::file_structure::header::file_size

File's size.

Definition at line 82 of file bitmap.hpp.

## header_size

unsigned int claw::graphic::bitmap::file_structure::header::header_size

Header's size.

Definition at line 91 of file bitmap.hpp.

## height

unsigned int claw::graphic::bitmap::file_structure::header::height

Image's height.

Definition at line 97 of file bitmap.hpp.

Referenced by claw::graphic::bitmap::reader::load().

## id

char claw::graphic::bitmap::file_structure::header::id[2]

File identifier (must be 'BM').

Definition at line 79 of file bitmap.hpp.

Referenced by claw::graphic::bitmap::reader::load().

## image_size

unsigned int claw::graphic::bitmap::file_structure::header::image_size

Image's size (bytes).

Definition at line 109 of file bitmap.hpp.

## importants_colors

unsigned int claw::graphic::bitmap::file_structure::header::importants_colors

Number of important colors.

Definition at line 121 of file bitmap.hpp.

## layers

unsigned short claw::graphic::bitmap::file_structure::header::layers

Number of layers.

Definition at line 100 of file bitmap.hpp.

## nop

unsigned int claw::graphic::bitmap::file_structure::header::nop

not used.

Definition at line 85 of file bitmap.hpp.

## ppm_x

unsigned int claw::graphic::bitmap::file_structure::header::ppm_x

Horizontal resolution (pixels per meter).

Definition at line 112 of file bitmap.hpp.

## ppm_y

unsigned int claw::graphic::bitmap::file_structure::header::ppm_y

Vertical resolution (pixels per meter).

Definition at line 115 of file bitmap.hpp.

## width

unsigned int claw::graphic::bitmap::file_structure::header::width

Image's width.

Definition at line 94 of file bitmap.hpp.

Referenced by claw::graphic::bitmap::reader::load().

The documentation for this struct was generated from the following file:

- bitmap.hpp